View Issue Details

IDProjectCategoryView StatusLast Update
00290142.x IDE BugsUI LanguagePublic2018-09-28 14:08
ReporterSam CummingAssigned ToCoreTech 
PriorityHighSeverityC - GeneralReproducibility100%
Status AssignedResolutionReopened 
Product Version2.1.4 
Target VersionFixed in Version 
Summary0029014: UI Language: [Windows] Logging out while in German and logging back in displays the Login screen in English
DescriptionIf you start the IDE in German on Windows, log out then attempt to log back in again, the Log-In screen is English. After logging-in, the IDE will switch back to German.
Steps To Reproduce1. Login to the IDE.
2. Set your language to German.
3. Log out of the IDE.
4. Start the IDE.
5. Observe that the login screen is in English.
TagsNo tags attached.
2.x IDE Found In7.7.1.234
2.x Runtime Found In7.7.1.77
2.x IDE Verified In
2.x Runtime Verified In

Activities

Mike Dailly

2018-02-23 09:28

Developer   ~0057863

Language should be changed to a machine setting.

Steven Campbell

2018-02-23 16:24

Manager   ~0057884

Fixed in Red IDE/GitHub Pull Request 3986
Git Id: f621605272e39e9fa2b64c05ecc37d19198454d1

Stewart Bishop

2018-06-26 14:06

Developer   ~0060640

Reopening as this still happens, seems like the fix is wrong as it's putting machine settings in your local_settings.json rather than the machine _settings.json so it always looks for the language for the user which the login dialogue doesn't know about.

Dan

2018-08-22 14:23

Adminstrator   ~0061334

Attempted fix was in 2.1.4, but has since been reopened.